Create a (legacy) text completion
curl --request POST \
--url https://tokens.flex.ai/v1/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "Meta-Llama-3.1-8B-Instruct-FP8",
"prompt": "<string>",
"max_tokens": 123,
"temperature": 123,
"stream": true
}
'import requests
url = "https://tokens.flex.ai/v1/completions"
payload = {
"model": "Meta-Llama-3.1-8B-Instruct-FP8",
"prompt": "<string>",
"max_tokens": 123,
"temperature": 123,
"stream": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'Meta-Llama-3.1-8B-Instruct-FP8',
prompt: '<string>',
max_tokens: 123,
temperature: 123,
stream: true
})
};
fetch('https://tokens.flex.ai/v1/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"code": "<string>",
"doc_url": "<string>"
}
}Completions
Create a (legacy) text completion
Prefer /v1/chat/completions for new integrations. /v1/completions is
kept for compatibility with older OpenAI SDK callers.
POST
/
v1
/
completions
Create a (legacy) text completion
Authorizations
Virtual API key. Create one from the
FlexAI dashboard. Pass as
Authorization: Bearer sk-xxxx.
Body
application/json
Response
Successful response
The response is of type object.
Was this page helpful?
⌘I